## UDisksObjectInfo

UDisksObjectInfo — Detailed information about objects

## Functions

UDisksObject * | udisks_object_info_get_object ()
const gchar * | udisks_object_info_get_name ()
const gchar * | udisks_object_info_get_description ()
GIcon * | udisks_object_info_get_icon ()
GIcon * | udisks_object_info_get_icon_symbolic ()
const gchar * | udisks_object_info_get_media_description ()
GIcon * | udisks_object_info_get_media_icon ()
GIcon * | udisks_object_info_get_media_icon_symbolic ()
const gchar * | udisks_object_info_get_one_liner ()
const gchar * | udisks_object_info_get_sort_key ()

## Types and Values

| UDisksObjectInfo

## Object Hierarchy

        GObject
        ╰── UDisksObjectInfo

## Description

Detailed information about the D-Bus interfaces (such as UDisksBlock and UDisksDrive) on a UDisksObject that is suitable to display in an user interface. Use `udisks_client_get_object_info()` to get UDisksObjectInfo objects. Note that UDisksObjectInfo is an immutable object; once it has been created it cannot be modified further.

The HintName and/or HintIconName propreties on associated UDisksBlock interfaces (if any) may influence what `udisks_object_info_get_icon()` and `udisks_object_info_get_media_icon()` returns.

The value return by `udisks_object_info_get_one_liner()` is designed to contain enough information such that it is all that needs to be shown about the object. As a result for e.g. block devices or drives it contains the special device file e.g. `/dev/sda`.

## Functions

### udisks_object_info_get_object ()

    UDisksObject *
    udisks_object_info_get_object (UDisksObjectInfo *info);

Gets the UDisksObject that `info` is for

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The object - do not free or unref, the reference belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_name ()

    const gchar *
    udisks_object_info_get_name (UDisksObjectInfo *info);

Gets the name.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_description ()

    const gchar *
    udisks_object_info_get_description (UDisksObjectInfo *info);

Gets the description.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_icon ()

    GIcon *
    udisks_object_info_get_icon (UDisksObjectInfo *info);

Gets the icon.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_icon_symbolic ()

    GIcon *
    udisks_object_info_get_icon_symbolic (UDisksObjectInfo *info);

Gets the symbolic icon.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_media_description ()

    const gchar *
    udisks_object_info_get_media_description
                                   (UDisksObjectInfo *info);

Gets the media description.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_media_icon ()

    GIcon *
    udisks_object_info_get_media_icon (UDisksObjectInfo *info);

Gets the media icon.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_media_icon_symbolic ()

    GIcon *
    udisks_object_info_get_media_icon_symbolic
                                   (UDisksObjectInfo *info);

Gets the symbolic media icon.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_one_liner ()

    const gchar *
    udisks_object_info_get_one_liner (UDisksObjectInfo *info);

Gets a one-line description.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The value or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

### udisks_object_info_get_sort_key ()

    const gchar *
    udisks_object_info_get_sort_key (UDisksObjectInfo *info);

Gets the sort-key for `info` . This can be used with `g_strcmp0()` to sort objects.

#### Parameters

info | A UDisksObjectInfo. |

#### Returns

The sort key or `NULL`. Do not free or unref, the value belongs to `info` .

[transfer none]

Since: 2.1

## Types and Values

### UDisksObjectInfo

    typedef struct _UDisksObjectInfo UDisksObjectInfo;

The UDisksObjectInfo structure contains only private data and should only be accessed using the provided API.

Since: 2.1